Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Major
    • Resolution: Done
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: tooling
    • Labels:
      None

      Description

      If you edit camel-netty-quickstart somehow, then newly generated switchyard.xm does not pass XSD validation: "cvc-complex-type.2.4.a: Invalid content was found starting with element 'netty:needClientAuth'. One of '

      {"urn:switchyard-component-camel-netty:config: 1.1":disconnect, "urn:switchyard-component-camel-netty:config:1.1":textline, "urn:switchyard-component-camel-netty:config:1.1":tcpNoDelay, "urn:switchyard-component-camel-netty:config:1.1":keepAlive}

      ' is expected."

      Maybe all tooling XSD files should be updated to version 1.1.

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                trohovsky Tomas Rohovsky
              • Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: